name: Anthony Natale
locality: 
country: Remote
role: <a href="">Account Executive - Mid Market</a>
reports_to: lvasquez00887
picture: anatale.png
pronouns: he/him
pronunciation: Na-ta-lay
twitter:
linkedin: https://www.linkedin.com/in/anthony-natale-48925571/
gitlab: anatale
departments:
  - MM
specialty: "Named Accounts"
expertise:
story:

